List Exports Endpoint
curl --request GET \
--url https://api.example.com/v2/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exports": [
{
"id": "<string>",
"export_type": "invoice",
"status": "pending",
"filters": {},
"record_count": 123,
"download_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"requested_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}exports
List Exports Endpoint
List Exports
Retrieve a list of exports. By default, only shows exports created by the current user. Admins can see all organization exports by setting include_all_org=true.
GET
/
v2
/
exports
List Exports Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100If true (and user is admin), show all organization exports
Filter exports by the user who requested them (admin only)
Filter exports created on or after this date
Filter exports created on or before this date
Response
Successful Response
Response containing a list of exports.
Show child attributes
Show child attributes
